Loading...
Searching...
No Matches
Gfx::EngineMouse Struct Reference

Information about mouse cursor. More...

## Public Member Functions

| EngineMouse (int icon1=-1, int icon2=-1, int iconShadow=-1, EngineRenderState mode1=ENG_RSTATE_NORMAL, EngineRenderState mode2=ENG_RSTATE_NORMAL, Math::IntPoint hotPoint=Math::IntPoint())

## Public Attributes

int | icon1
| Index of texture element for 1st image.
int | icon2
| Index of texture element for 2nd image.
int | iconShadow
| Shadow texture part.
EngineRenderState | mode1
| Mode to render 1st image in.
EngineRenderState | mode2
| Mode to render 2nd image in.
Math::IntPoint | hotPoint
| Hot point.

## Detailed Description

Information about mouse cursor.

## Member Data Documentation

## icon1

int Gfx::EngineMouse::icon1

Index of texture element for 1st image.

## icon2

int Gfx::EngineMouse::icon2

Index of texture element for 2nd image.

## iconShadow

int Gfx::EngineMouse::iconShadow

Shadow texture part.

## mode1

EngineRenderState Gfx::EngineMouse::mode1

Mode to render 1st image in.

## mode2

EngineRenderState Gfx::EngineMouse::mode2

Mode to render 2nd image in.

## hotPoint

Math::IntPoint Gfx::EngineMouse::hotPoint

Hot point.

The documentation for this struct was generated from the following file:

- src/graphics/engine/engine.cpp